com.google.gwt.dom.builder.shared

## Interface MetaBuilder

- All Superinterfaces:
    ElementBuilderBase<MetaBuilder>
  All Known Implementing Classes:
    DomMetaBuilder, HtmlMetaBuilder

      public interface MetaBuilder
      extends ElementBuilderBase<MetaBuilder>

  Builds an meta element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetaBuilder` | `content(java.lang.String content)` Associated information.
    `MetaBuilder` | `httpEquiv(java.lang.String httpEquiv)` HTTP response header name [IETF RFC 2616].
    `MetaBuilder` | `name(java.lang.String name)` Meta information name.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### content

          MetaBuilder content(java.lang.String content)

      Associated information.
      See Also:
        W3C HTML Specification

    - #### httpEquiv

          MetaBuilder httpEquiv(java.lang.String httpEquiv)

      HTTP response header name [IETF RFC 2616].
      See Also:
        W3C HTML Specification

    - #### name

          MetaBuilder name(java.lang.String name)

      Meta information name.
      See Also:
        W3C HTML Specification